=== scripts/Makefile ===
# $Id$

include ../Make.inc

all:

install:
	$(INSTALL) -m 755 rc.radiusd		$(R)$(sbindir)
	$(INSTALL) -m 755 radsqlrelay		$(R)$(bindir)
	$(INSTALL) -m 755 radwatch		$(R)$(sbindir)
	$(INSTALL) -m 755 check-radiusd-config	$(R)$(sbindir)

clean:
