=== src/modules/rlm_expr/Makefile ===
#
# Makefile
#
# Version:	$Id$
#

TARGET		= rlm_expr
SRCS		= rlm_expr.c

include ../rules.mak
