=== debian/changelog ===
freeradius (1.1.8-0) unstable; urgency=high

  * Fix Tunnel-Password issue

 -- Alan DeKok <aland@freeradius.org>  Wed, 09 Sep 2009 15:00:00 +0100

freeradius (1.1.7-0) unstable; urgency=low

  * New upstream release.

 -- Alan DeKok <aland@freeradius.org>  Tue, 26 Jun 2007 09:52:41 +0100

freeradius (1.1.6-0) unstable; urgency=low

  * New upstream release.

 -- Alan DeKok <aland@freeradius.org>  Mon, 26 Mar 2007 14:57:03 +0100

freeradius (1.1.5-0) unstable; urgency=low

  * New upstream release.

 -- Nicolas Baradakis <nicolas.baradakis@cegetel.net>  Tue,  6 Mar 2007 23:52:55 +0100

freeradius (1.1.3-0) unstable; urgency=low

  * New upstream release.
  * Delete dpatch merged in mainstream CVS:
    - 01-actually_check_for_unset_password
  * Remove irrelevant dpatch after autotools upgrade:
    - 13_a_libtool_to_call_your_own
  * Update debian/rules because of autotools upgrade, too.
  * Fix errors in initscript when trying to reload even if the server
    isn't running.

 -- Nicolas Baradakis <nicolas.baradakis@cegetel.net>  Mon, 10 Jul 2006 14:06:04 +0200

freeradius (1.1.2-2) unstable; urgency=low

  [ Stephen Gran ]
  * Acknowledge my previous NMU's (closes: #351732, #359042)
  * Init scripts overhaul:
    - now use reload on upgrade of modules
    - replace sleep statements with --retry, as time based tests are
      fragile
    - no longer exit with an error if stop fails because the
      daemon isn't running (closes: #374670, #351735)
    - stop using command -v in /bin/sh scripts
  * General maintainer script overhaul:
    - Don't rm -rf something in /etc (ouch)
    - Use chown -R instead of 'find .. -exec'
    - should not need to manually remove the init script on purge (it's a dpkg
      managed conffile)
    - Only do user management stuff if user is missing.  No point rerunning it
      every upgrade.
    - Install /etc/freeradius/dictionary with relaxed permissions, but never
      touch it again (closes: #334299)
    - switch to debhelper files where possible.  I like an easy to read
      Makefile.
  * Arg.  Move README.rfc to the freeradius package where it belongs.

  [ Mark Hymers ]
  * Document building SSL/PostgreSQL modules in debian/rules, add
    control.postgresql to make it more convenient.  Tested on AMD64 using
    system libtool.

 -- Stephen Gran <sgran@debian.org>  Sun, 25 Jun 2006 23:06:16 +0100

freeradius (1.1.2-1) unstable; urgency=low

  [ Mark Hymers ]
  * New maintainers
  * New upstream version.
  * Remove previous patches merged upstream:
    - 01_NET-SNMP_build_support.dpatch
    - 02_document_actual_shared_secret_maximum_length.dpatch
    - 12_more_dialup_admin_various_fixes.dpatch
    - 14_broken_parse.dpatch
    - 15_CVE-2006-1354.dpatch
  * Use --with-system-libtool during configure.  Add B-D: on libtool
    Removes obsolete dpatches:
    - 06_libtool14_vs_rlm_eap_tls.dpatch
    - 13_a_libtool_to_call_your_own.dpatch
  * Remove freeradius.undocumented as we don't install links to
    undocumented(7) anymore (not recommended since policy 3.5.8.0)

  [ Stephen Gran ]
  * Update to Standards Version 3.7.2 (no changes)
  * Remove doc/rfc/ to make -legal happy (closes: #365192)
    - this means repacked tarball.  See README.rfc for details
  * Test for unset variable, rather than empty variable in clean_radacct,
    monthly_tot_stats and truncate_radacct (closes: #374053)

 -- Mark Hymers <mark@hymers.org.uk>  Sat, 17 Jun 2006 16:05:19 +0100

freeradius (1.1.2-0) unstable; urgency=low

  * New upstream release.
  * Update dpatch for 1.1.2:
    - 13_a_libtool14_to_call_your_own

 -- Nicolas Baradakis <nicolas.baradakis@cegetel.net>  Sun, 21 May 2006 19:20:03 +0200

freeradius (1.1.1-0) unstable; urgency=low

  * New upstream release.
  * Delete dpatches merged in mainstream CVS:
    - 01_NET-SNMP_build_support
    - 02_document_actual_shared_secret_maximum_length
    - 12_more_dialup_admin_various_fixes
  * Remove irrelevant dpatch after rlm_eap changes in CVS:
    - 06_libtool14_vs_rlm_eap_tls
  * Features that break compatibility with Sarge have not been merged:
    - debhelper V5 support
    - lsb-init functions

 -- Nicolas Baradakis <nicolas.baradakis@cegetel.net>  Sun, 12 Feb 2006 16:29:20 +0100

freeradius (1.1.0-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * [ CVE-2006-1354 ]:
    src/modules/rlm_eap/types/rlm_eap_mschapv2/rlm_eap_mschapv2.c:
    Due to insufficient input validation it is possible for a remote
    attacker to bypass authentication or cause a denial of service.
    (closes: #359042)

 -- Stephen Gran <sgran@debian.org>  Wed, 17 May 2006 11:22:28 -0500

freeradius (1.1.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Upstream patch to fix parsing config file (closes: #351732)
    Fixes: fails to start on amd64 (error in dictionary parsing code)

 -- Stephen Gran <sgran@debian.org>  Sat,  1 Apr 2006 11:07:55 +0100

freeradius (1.1.0-1) unstable; urgency=low
  * ReDebianise upstream tarball:
    - Deleted RFCs: 2243 2289 2433 2548 2618 2619 2620 2621 2716 2759 2809 2865
                    2866 2867 2868 2869 2882 2924 3162 3575 3576 3579 3580
                    draft-kamath-pppext-eap-mschapv2-00

  * New FreeRADIUS modules marked stable by new upstream release
    - rlm_perl
    - rlm_sqlcounter
    - rlm_sql_log + radsqlrelay
    - rlm_otp (formerly rlm_x99_token, not built as it depends on OpenSSL)

  * Remove upstream-integrated patches:
    - 02_EAP-SIM_doesnt_need_openssl
    - 03_X99_is_not_stable
    - 07_manpage_fixups
    - 09_use_crypth_if_we_have_it
    - 10_escape_entire_ldap_string
    - 11_dont_xlat_possibly_bad_usernames_in_bad_accounting_packets
    - 12_dialup_admin_various_fixes

  * More dialup-admin fixes from Arve Seljebu
    - Fix redirects in dialup-admin pages on servers with
      register_globals turned off.
      Closes: #333704
    - HTTP form fields will always fail is_int, use in_numeric instead
      Closes: #335149
    - Created 12_more_dialup_admin_various_fixes


