=== debian/rules ===
#! /usr/bin/make -f
#
#	debian/rules file for freeradius
#

.NOTPARALLEL:

SHELL		=/bin/bash

package		= freeradius
debiandir	= $(shell pwd)/debian
freeradius_dir	= $(debiandir)/$(package)

mandir		= /usr/share/man
libdir		= /usr/lib/$(package)
logdir		= /var/log/$(package)
pkgdocdir	= /usr/share/doc/$(package)
raddbdir	= /etc/$(package)

# All supported modules, irrespective of licensing
modulepackages = krb5 ldap mysql iodbc postgresql
buildssl = --with-rlm_sql_postgresql_lib_dir=`pg_config --libdir` --with-rlm_sql_postgresql_include_dir=`pg_config --includedir`

# Binary-distributable modules for the Debian archive.
#modulepackages = krb5 ldap mysql iodbc
#buildssl = --without-rlm_eap_peap --without-rlm_eap_tls --without-rlm_eap_ttls --without-rlm_otp --without-rlm_sql_postgresql --without-snmp

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

export CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Autoconf 2.52+ arch support
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build $(DEB_HOST_GNU_TYPE)
else
	confflags += --host $(DEB_BUILD_GNU_TYPE) --build $(DEB_HOST_GNU_TYPE)
endif

build-simple: stamp-build
stamp-build: stamp-patch
	dh_testdir
	# dh_testroot
	./configure \
		$(confflags) \
		--config-cache \
		--prefix=/usr \
		--exec-prefix=/usr \
		--mandir=$(mandir) \
		--sysconfdir=/etc \
		--libdir=$(libdir) \
		--datadir=/usr/share \
		--localstatedir=/var \
		--with-raddbdir=$(raddbdir) \
		--with-logdir=/var/log/$(package) \
		--with-system-libtool --disable-ltdl-install \
		--with-large-files --with-udpfromto --with-edir \
		--enable-strict-dependencies \
		--enable-developer \
		${buildssl}

	# Modify Make.inc for Debian...
	TEMPFILE=`mktemp /tmp/radmake-XXXXXX`; \
	cp Make.inc $$TEMPFILE; \
	cat $$TEMPFILE \
		| sed -e 's!${localstatedir}/run/radiusd!${localstatedir}/run/freeradius!' \
			> Make.inc; \
	rm $$TEMPFILE

	make
	touch stamp-build

build: autotools build-simple

binary-indep: stamp-build
	dh_testroot
	dh_clean -i -k
	dh_installdirs -i
	# Dialup-Admin
	dh_installdocs -p freeradius-dialupadmin -XCVS
	dh_installchangelogs -p freeradius-dialupadmin dialup_admin/Changelog
	dh_installexamples -p freeradius-dialupadmin
	dh_install -p freeradius-dialupadmin -XCVS dialup_admin/conf/* etc/freeradius-dialupadmin/
	dh_install -p freeradius-dialupadmin -XCVS -XChangelog -XREADME -Xconf/ -Xdoc/ -Xdialup_admin.cron dialup_admin/* usr/share/freeradius-dialupadmin/
	dh_link -p freeradius-dialupadmin
	dh_perl -p freeradius-dialupadmin dialup_admin/bin/*
# Fix the crontab example to point to the right directory
	cat $(freeradius_dir)-dialupadmin/usr/share/doc/freeradius-dialupadmin/examples/dialup_admin.cron \
		| sed -e 's#/usr/local/dialup_admin#/usr/share/freeradius-dialupadmin#' \
		> $(freeradius_dir)-dialupadmin/usr/share/doc/freeradius-dialupadmin/examples/freeradius-dialupadmin.cron
	rm $(freeradius_dir)-dialupadmin/usr/share/doc/freeradius-dialupadmin/examples/dialup_admin.cron
	TEMPFILE=`mktemp /tmp/dialupconf-XXXXXX`; \
	cp $(freeradius_dir)-dialupadmin/etc/freeradius-dialupadmin/admin.conf $$TEMPFILE; \
	cat $$TEMPFILE \
		| sed -e 's#/usr/local/dialup_admin#/usr/share/freeradius-dialupadmin#' \
			-e 's#/usr/local/radiusd#/usr#' \
			-e 's#general_raddb_dir: %{general_radiusd_base_dir}/etc/raddb#general_raddb_dir: /etc/freeradius#' \
			-e 's#general_clients_conf: /usr/local/etc/raddb/clients.conf#general_clients_conf: /etc/freeradius/clients.conf#' \
			-e 's#%{general_base_dir}/conf#/etc/freeradius-dialupadmin#' \
			-e 's#/usr/local/bin#/usr/bin#' \
		> $(freeradius_dir)-dialupadmin/etc/freeradius-dialupadmin/admin.conf; \
	rm $$TEMPFILE;
	TEMPFILE=`mktemp /tmp/dialuphelp-XXXXXX`; \
	cp $(freeradius_dir)-dialupadmin/usr/share/freeradius-dialupadmin/htdocs/help/help.php3 $$TEMPFILE; \
	cat $$TEMPFILE \
		| sed -e 's#readfile#readgzfile#' \
			-e 's#../../README#/usr/share/doc/freeradius-dialupadmin/README.gz#' \
			-e 's#../../doc/HOWTO#/usr/share/doc/freeradius-dialupadmin/HOWTO.gz#' \
			-e 's#../../doc/FAQ#/usr/share/doc/freeradius-dialupadmin/FAQ#' \
		> $(freeradius_dir)-dialupadmin/usr/share/freeradius-dialupadmin/htdocs/help/help.php3; \
	rm $$TEMPFILE;
	for binfile in $(freeradius_dir)-dialupadmin/usr/share/freeradius-dialupadmin/bin/*; do \
		TEMPFILE=`mktemp /tmp/dialupbin-XXXXXX`; \
		cp $$binfile $$TEMPFILE; \
		cat $$TEMPFILE \
			| sed -e 's#/usr/local/bin/#/usr/bin/#' \
				-e 's#/usr/local/dialup_admin/conf/#/etc/freeradius-dialupadmin/#' \
			> $$binfile; \
		rm $$TEMPFILE; \
	done

	# bonus scipts
	dh_installdeb -i
	dh_compress -i
	dh_fixperms -i
	dh_md5sums -i
	dh_gencontrol -i
	dh_builddeb -i

binary-arch: stamp-build
	dh_testroot
	dh_clean -s -k
	dh_installdirs -s
	make install R=$(freeradius_dir)

	# rename radius binary to play nicely with others
	mv $(freeradius_dir)/usr/sbin/radiusd $(freeradius_dir)/usr/sbin/$(package)

	# clean up install cruft.  $$&@!%
	rm $(freeradius_dir)/usr/sbin/rc.radiusd
	test ! -d $(freeradius_dir)/etc/raddb || rmdir $(freeradius_dir)/etc/raddb
	test ! -d $(freeradius_dir)/var/log/radius/radacct || rmdir $(freeradius_dir)/var/log/radius/radacct
	test ! -d $(freeradius_dir)/var/log/radius || rmdir $(freeradius_dir)/var/log/radius
#	this is from the Makefile in doc/
	rm -f $(freeradius_dir)/usr/share/doc/freeradius/ChangeLog
#	and this one from the Makefile in src/modules/rlm_perl
	rm -f $(freeradius_dir)/etc/freeradius/example.pl

	# split out inconvenient/controversal modules to other places
	for modname in $(modulepackages); do \
		mkdir -p $(debiandir)/$(package)-$${modname}/$(libdir); \
		mv $(freeradius_dir)/$(libdir)/rlm*_$${modname}* $(debiandir)/$(package)-$${modname}/$(libdir)/; \
	done

	# man pages & docs
	dh_installdocs
	install -g root -m 644 CREDITS $(freeradius_dir)/$(pkgdocdir)/credits
	dh_installexamples -XCVS -XMakefile -X\\.in src/modules/rlm_perl/example.pl
	dh_installchangelogs doc/ChangeLog

	#Rename manpage to go with binary
	mv $(freeradius_dir)/$(mandir)/man8/radiusd.8 $(freeradius_dir)/$(mandir)/man8/$(package).8

	# SNMP mibs
	install -g root -m 644 mibs/*.txt $(freeradius_dir)/usr/share/snmp/mibs

	# supporting programs
	TEMPFILE=`mktemp /tmp/radconf-XXXXXX`; \
	cp $(freeradius_dir)/$(raddbdir)/radiusd.conf $$TEMPFILE; \
	cat $$TEMPFILE \
		| sed -e 's/        /	/g' \
			-e '/^	example {/,/^	}/s/^/#/' \
			-e 's/#	shadow = /shadow = /' \
			-e 's/^#\?group = nobody/group = freerad/' \
			-e 's/^#\?user = nobody/user = freerad/' \
			-e 's!/run/radiusd!/run/freeradius!' \
			-e 's!radiusd.pid!freeradius.pid!' \
			> $(freeradius_dir)/$(raddbdir)/radiusd.conf; \
	rm $$TEMPFILE

	# bonus scipts
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -s
endif
	dh_installlogrotate -s
	dh_installinit -n -s
	dh_installpam --name=radiusd -s
	# We don't need ldconfig. None of our libraries go in it's paths
	dh_makeshlibs -n -s
	dh_shlibdeps -s
	dh_installdeb -s
	dh_compress -s
	dh_fixperms -s
	dh_md5sums -s
	dh_gencontrol -s
	dh_builddeb -s

clean: clean-patched unpatch

clean-patched:
	dh_testdir
	rm -f stamp-build debian/{files,substvars} debian/*.debhelper libltdl/stamp-h1
	[ -f Make.inc ] && make distclean || true
	dh_clean
	rm -rf $(freeradius_dir)
	rm -rf src/modules/lib/
	for modname in $(modulepackages); do \
		rm -rf $(debiandir)/$(package)-$${modname}{,.substvars}; \
	done
	[ -f config.sub.dist ] && rm config.sub && mv config.sub.dist config.sub || true
	[ -f config.guess.dist ] && rm config.guess && mv config.guess.dist config.guess || true


binary: binary-indep binary-arch

# The autotools target adds forced build-time dependencies on
# autotools-dev (for /usr/share/misc/config.*)
# It's also a .PHONY make target.
autotools:
	if [ -e config.sub.dist ]; then rm config.sub; else mv config.sub config.sub.dist; fi
